com.microfocus.awm.core

## Class TaurusConstants

- java.lang.Object
- - com.microfocus.awm.core.TaurusConstants

-     public class TaurusConstants
      extends java.lang.Object

  Constants used by AWM.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `AWM_FUNCTION_PACKAGE_EXTENSION_ID` The ID of the AWM function package extension
    `static java.lang.String` | `BACKGROUND_PARSER_FUNCTION_PACKAGE_EXTENSION_ID` The ID of the AWM function package extension
    `static java.lang.String` | `ECLIPSE_FUNCTION_PACKAGE_EXTENSION_ID` The ID of the Eclipse function package extension
    `static java.lang.String` | `ENCODING_CHARSET` Deprecated. Not used anymore.
    `static java.lang.String` | `GLOBAL_ACTIONS_CATEGORY_NAME` Command category for global actions
    `static java.lang.String` | `ISPF_FUNCTION_PACKAGE_EXTENSION_ID` The ID of the ISPF function package extension
    `static java.lang.String` | `LOCALOS_FUNCTION_PACKAGE_EXTENSION_ID` The ID of the LocalOS function package extension
    `static java.lang.String` | `MVS_FUNCTION_PACKAGE_EXTENSION_ID` The ID of the MVS function package extension
    `static java.lang.String` | `RDZ_FUNCTION_PACKAGE_EXTENSION_ID` The ID of the IDz function package extension
    `static java.lang.String` | `STANDARD_ACTIONS_CATEGORY_NAME` Command category for action descriptors.
    `static java.lang.String` | `TAURUS_DEFAULT_TABLE_VIEW_LABEL` Default label of the Table Results view
    `static int` | `TAURUS_ELEMENTLISTENTRY_POSITION_INTERVAL` Deprecated. Not used anymore.
    `static java.lang.String` | `TAURUS_MAIN_TABLE_VIEW_SECONDARY_ID` Default ID of secondary Table Results views
    `static java.lang.String` | `TAURUS_NATURE_ID` Nature ID of the internal project
    `static java.lang.String` | `TAURUS_PROJ_NAME` Internal project name
    `static java.lang.String` | `TAURUS_VERSION` Version of cache files

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaurusConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TAURUS_PROJ_NAME

          public static final java.lang.String TAURUS_PROJ_NAME

      Internal project name
      See Also:
        Constant Field Values

    - #### TAURUS_VERSION

          public static final java.lang.String TAURUS_VERSION

      Version of cache files
      See Also:
        Constant Field Values

    - #### TAURUS_ELEMENTLISTENTRY_POSITION_INTERVAL

          @Deprecated
          public static final int TAURUS_ELEMENTLISTENTRY_POSITION_INTERVAL

      Deprecated. Not used anymore.
      See Also:
        Constant Field Values

    - #### ENCODING_CHARSET

          @Deprecated
          public static java.lang.String ENCODING_CHARSET

      Deprecated. Not used anymore.

    - #### GLOBAL_ACTIONS_CATEGORY_NAME

          public static final java.lang.String GLOBAL_ACTIONS_CATEGORY_NAME

      Command category for global actions
      See Also:
        Constant Field Values

    - #### TAURUS_NATURE_ID

          public static final java.lang.String TAURUS_NATURE_ID

      Nature ID of the internal project
      See Also:
        Constant Field Values

    - #### TAURUS_DEFAULT_TABLE_VIEW_LABEL

          public static final java.lang.String TAURUS_DEFAULT_TABLE_VIEW_LABEL

      Default label of the Table Results view

    - #### TAURUS_MAIN_TABLE_VIEW_SECONDARY_ID

          public static final java.lang.String TAURUS_MAIN_TABLE_VIEW_SECONDARY_ID

      Default ID of secondary Table Results views
      See Also:
        Constant Field Values

    - #### AWM_FUNCTION_PACKAGE_EXTENSION_ID

          public static final java.lang.String AWM_FUNCTION_PACKAGE_EXTENSION_ID

      The ID of the AWM function package extension
      See Also:
        Constant Field Values

    - #### ECLIPSE_FUNCTION_PACKAGE_EXTENSION_ID

          public static final java.lang.String ECLIPSE_FUNCTION_PACKAGE_EXTENSION_ID

      The ID of the Eclipse function package extension
      See Also:
        Constant Field Values

    - #### RDZ_FUNCTION_PACKAGE_EXTENSION_ID

          public static final java.lang.String RDZ_FUNCTION_PACKAGE_EXTENSION_ID

      The ID of the IDz function package extension
      See Also:
        Constant Field Values

    - #### MVS_FUNCTION_PACKAGE_EXTENSION_ID

          public static final java.lang.String MVS_FUNCTION_PACKAGE_EXTENSION_ID

      The ID of the MVS function package extension
      See Also:
        Constant Field Values

    - #### ISPF_FUNCTION_PACKAGE_EXTENSION_ID

          public static final java.lang.String ISPF_FUNCTION_PACKAGE_EXTENSION_ID

      The ID of the ISPF function package extension
      See Also:
        Constant Field Values

    - #### LOCALOS_FUNCTION_PACKAGE_EXTENSION_ID

          public static final java.lang.String LOCALOS_FUNCTION_PACKAGE_EXTENSION_ID

      The ID of the LocalOS function package extension
      See Also:
        Constant Field Values

    - #### BACKGROUND_PARSER_FUNCTION_PACKAGE_EXTENSION_ID

          public static final java.lang.String BACKGROUND_PARSER_FUNCTION_PACKAGE_EXTENSION_ID

      The ID of the AWM function package extension
      See Also:
        Constant Field Values

    - #### STANDARD_ACTIONS_CATEGORY_NAME

          public static final java.lang.String STANDARD_ACTIONS_CATEGORY_NAME

      Command category for action descriptors.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TaurusConstants

          public TaurusConstants()

Copyright © 2015 Micro Focus GmbH. All rights reserved.